local function GetLuaFileContents(file_name)
	local crc = menu.GetLuaFileCRC(file_name)

	if not crc then
		return
	end

	local fs = file.Open("cache/lua/" .. crc .. ".lua", "rb", "MOD")
		fs:Seek(4)
		local contents = util.Decompress(fs:Read(fs:Size() - 4))
	fs:Close()

	return contents:sub(1, -2) -- Remove trailing nullbyte
end

concommand.Add("print_lua_file", function(_, _, _, file_name)
	print(GetLuaFileContents(file_name))
end)